Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceOKV2Response

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceResponse
          com.rsa.ace.techservice.udpserver.AceOKResponse
              com.rsa.ace.techservice.udpserver.AceOKV2Response

All Implemented Interfaces:
  AceResponse

    public class AceOKV2Response

extends AceOKResponse
implements AceResponse

This class represents an ACE OK V2 Response. (ACM_OK_MSG_2)

This class extends the V1 OK response and has additional values for a version 2 Access OK packet.

Constructor Summary
`AceOKV2Response(AceDatagram packet, AceRequest request)`
`AceOKV2Response(AceRequest request, java.lang.String shell, byte[] nodeSecret, AceSecondarySegments secondarySegments)` Creates a new instance of an AceOKV2Response packet.

Method Summary
`AceCapabilityResponse` | `getCapabilityResponse()`
`int` | `getReplicationTime()`
`int` | `getResponseSize()` Returns the size of a OK V2 response.
`AceSecondarySegments` | `getSecondarySegments()`
`int` | `getServerClientRespDelay()`
`int` | `getServerDelay()`
`AceServerListResponse` | `getServerListResponse()`
`AceServerStatusResponse` | `getServerStatusResponse()`
`void` | `processResponse()` Process a response packet by reading from the byte-buffer.
`java.lang.String` | `toString()` Convert the V2 OK Response to a string.
`void` | `writeResponse(java.nio.ByteBuffer buf)` Write an AceOKV2Response to the internal stream.

Methods inherited from class com.rsa.ace.techservice.udpserver.AceOKResponse
`getShell`

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceResponse
`buildResponsePacket, getBuffer, getHeader, getNewNodeSecret, getNodeSecret, getPacket, getProtocolVersion, getRequestToThisResponse, getResponseMsgType, getResponseStatus, getTrailer, haveNodeSecret, readResponse, setNodeSecret`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceResponse
`buildResponsePacket, getHeader, getPacket, getProtocolVersion, getResponseMsgType, getResponseStatus, getTrailer, readResponse`

Constructor Detail

### AceOKV2Response

    public AceOKV2Response(AceDatagram packet,
                           AceRequest request)
                    throws AcePacketException

Parameters:
  `packet` -
Throws:
  `AcePacketException`

### AceOKV2Response

    public AceOKV2Response(AceRequest request,
                           java.lang.String shell,
                           byte[] nodeSecret,
                           AceSecondarySegments secondarySegments)
                    throws AcePacketException

  Creates a new instance of an AceOKV2Response packet. This constructor also sets the server delay value used in load-balancing calculations.

  Parameters:
    `request` - The AceRequest to be used to initialize the response.
    `shell` - The shell to be returned in the response.
    `nodeSecret` - The node secret to be returned in the response.
    `secondarySegments` - Secondary segment information that should be returned, if any.
  Throws:
    `AcePacketExcetion` - If a problem is encountered constructing the response.
    `AcePacketException`

Method Detail

### writeResponse

    public void writeResponse(java.nio.ByteBuffer buf)
                       throws AcePacketException

  Write an AceOKV2Response to the internal stream.

  Specified by:
    `writeResponse` in interface `AceResponse`
  Overrides:
    `writeResponse` in class `AceOKResponse`
  Parameters:
    `buf` - The ByteBuffer to which the response will be written.
  Throws:
    `AcePacketException` - If there is a problem writing the packet fields.

### processResponse

    public void processResponse()
                         throws AcePacketException

  Process a response packet by reading from the byte-buffer.

  Specified by:
    `processResponse` in interface `AceResponse`
  Overrides:
    `processResponse` in class `AceOKResponse`
  Throws:
    `AcePacketException`
    `AcePacketException` - If there is a problem reading the packet byte-buffer.

### getResponseSize

    public int getResponseSize()

  Returns the size of a OK V2 response.

  Specified by:
    `getResponseSize` in interface `AceResponse`
  Overrides:
    `getResponseSize` in class `AbstractAceResponse`
  Returns:
    The size of the response packet.

### toString

    public java.lang.String toString()

  Convert the V2 OK Response to a string.

  Specified by:
    `toString` in interface `AceResponse`
  Overrides:
    `toString` in class `AceOKResponse`
  Returns:
    A String representation of the response packet.

### getReplicationTime

    public int getReplicationTime()

  Returns:
    Returns the replicationTime.

### getSecondarySegments

    public AceSecondarySegments getSecondarySegments()

  Returns:
    Returns the secondarySegments.

### getServerClientRespDelay

    public int getServerClientRespDelay()

  Returns:
    Returns the serverClientRespDelay.

### getServerDelay

    public int getServerDelay()

  Returns:
    Returns the serverDelay.

### getCapabilityResponse

    public AceCapabilityResponse getCapabilityResponse()

  Returns:
    Returns the capabilityResponse.

### getServerListResponse

    public AceServerListResponse getServerListResponse()

  Returns:
    Returns the serverListResponse.

### getServerStatusResponse

    public AceServerStatusResponse getServerStatusResponse()

  Returns:
    Returns the serverStatusResponse.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.